#!/bin/bash -l
torchrun --standalone --nproc_per_node 4 torchrun_main.py \
    --model_config configs/llama_1b.json \
    --lr 0.02 \
    --galore_scale 0.1 \
    --rank 512 \
    --update_proj_gap 500 \
    --batch_size 32 \
    --total_batch_size 512 \
    --num_training_steps 100000 \
    --warmup_steps 10000 \
    --weight_decay 0 \
    --dtype bfloat16 \
    --eval_every 1000 \
    --optimizer galore_adamw \
    --proj_type random \
    --save_every 2000 \
    --activation_checkpointing \
    --grad_clipping 0.2